# ostream.tcc File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file ostream.tcc.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _OSTREAM_TCC

## Functions

- template<class _Traits> basic_ostream< char, _Traits > & operator<< (basic_ostream< char, _Traits > &__out, const char *__s)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__out, const char *__s)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__out, const _CharT *__s)
- template<class _Traits> basic_ostream< char, _Traits > & operator<< (basic_ostream< char, _Traits > &__out, char __c)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__out, _CharT __c)

## Function Documentation

basic_ostream< _CharT, _Traits > & operator<< | ( | basic_ostream< _CharT, _Traits > & | __out,
|  | const _CharT * | __s
| ) |

String inserters.

Parameters:

  | out | An output stream.
  | s | A character string.

Returns:
  out

Precondition:
  s must be a non-NULL pointer

Behaves like one of the formatted arithmetic inserters described in std::basic_ostream. After constructing a sentry object with good status, this function inserts `traits::length(s)` characters starting at s, widened if necessary, followed by any required padding (as determined by [22.2.2.2.2]). `out.width(0)` is then called.

Definition at line 538 of file ostream.tcc.

References ios_base::badbit.

basic_ostream< _CharT, _Traits > & operator<< | ( | basic_ostream< _CharT, _Traits > & | __out,
|  | _CharT | __c
| ) |

Character inserters.

Parameters:

  | out | An output stream.
  | c | A character.

Returns:
  out

Behaves like one of the formatted arithmetic inserters described in std::basic_ostream. After constructing a sentry object with good status, this function inserts a single character and any required padding (as determined by [22.2.2.2.2]). `out.width(0)` is then called.

If c is of type `char` and the character type of the stream is not `char`, the character is widened before insertion.

Definition at line 478 of file ostream.tcc.

References ios_base::badbit.